Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
objspace_dump.c File Reference
`#include "ruby/io.h"`
`#include "internal.h"`
`#include "ruby/debug.h"`
`#include "gc.h"`
`#include "node.h"`
`#include "vm_core.h"`
`#include "objspace.h"`

Go to the source code of this file.

## Data Structures
struct | dump_config

## Macros
#define | CASE_TYPE(type) case T_##type: return #type
#define | TYPE_STR(t) case(imemo_##t): return #t

## Functions
| PRINTF_ARGS (static void dump_append(struct dump_config *, const char *,...), 2, 3)
void | Init_objspace_dump (VALUE rb_mObjSpace)

## Macro Definition Documentation

## ◆ CASE_TYPE

#define CASE_TYPE | ( |  | type | ) | case T_##type: return #type

## ◆ TYPE_STR

#define TYPE_STR | ( |  | t | ) | case(imemo_##t): return #t

## Function Documentation

## ◆ Init_objspace_dump()

void Init_objspace_dump | ( | VALUE | rb_mObjSpace | ) |

Definition at line 499 of file objspace_dump.c.

References rb_define_module(), and rb_define_module_function().

## ◆ PRINTF_ARGS()

PRINTF_ARGS | ( | static void | dump_appendstruct dump_config *, const char *,...,
|  | 2 | ,
|  | 3 |
| ) |  |